import { Base, Type, Point } from "igniteui-react-core/ES2015/type";
import { IBucketizer } from "./IBucketizer";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { MarkerSeries } from "./MarkerSeries";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { RadialFrame } from "./RadialFrame";
import { CategoryMode } from "./CategoryMode";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { RadialAxes } from "./RadialAxes";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
/**
 * @hidden
 */
export declare abstract class RadialBucketCalculator extends Base implements IBucketizer {
    static $t: Type;
    protected a: RadialBaseView;
    constructor(a: RadialBaseView);
    c: number;
    d: number;
    b: number;
    getBucket(a: number): number[];
    getBucketWithoutUnknowns(a: number): number[];
    getErrorBucket(a: number, b: IFastItemColumn$1<number>): number;
    getBucketInfo(a: number, b: number, c: number, d: number): {
        p0: number;
        p1: number;
        p2: number;
        p3: number;
    };
    e(a: number): void;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare abstract class RadialBase extends MarkerSeries implements IHasCategoryModePreference {
    static $t: Type;
    im(a: SeriesView): void;
    mx: RadialBaseView;
    constructor();
    private nc;
    readonly categoryAxis: CategoryAxisBase;
    ap(): CategoryAxisBase;
    m5(a: List$1<SeriesPointOfInterest>): boolean;
    m1: SeriesRenderer$2<RadialFrame, RadialBaseView>;
    protected get_c2(): boolean;
    mt: CategoryAngleAxis;
    mv: NumericRadiusAxis;
    ag(): Axis[];
    m4: boolean;
    protected jm(a: Rect, b: Rect): void;
    protected jl(a: Rect, b: Rect): void;
    abstract preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected is(a: any, b: string, c: any, d: any): void;
    m3(a: any): boolean;
    m2(a: any): boolean;
    fm(a: Point): any;
    m6(a: Point): number;
    m7(a: Point): number;
    e5(a: Point): number;
    c8(a: any): boolean;
    mz: RadialFrame;
    m0: RadialFrame;
    my: RadialFrame;
    abstract getOffsetValue(): number;
    abstract getCategoryWidth(): number;
    abstract nd(a: RadialFrame, b: RadialBaseView): void;
    abstract ne(a: RadialFrame, b: RadialBaseView): void;
    mw: RadialAxes;
    h4(): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    i7(a: boolean): void;
    m8(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialBaseView extends MarkerSeriesView {
    static $t: Type;
    co: RadialBucketCalculator;
    cn: RadialBase;
    constructor(a: RadialBase);
    cp: Pool$1<Marker>;
    cc(a: (arg1: Marker) => void): void;
    cq: number;
    cr: Point;
}
